Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Problems while installing MARTE over Payrus(Installation of MARTE over papyrus)
Problems while installing MARTE over Payrus [message #1479323] Wed, 19 November 2014 10:40 Go to next message
Padma Iyenghar is currently offline Padma IyengharFriend
Messages: 3
Registered: November 2014
Junior Member
Hi,

I am trying to install the MARTE UML profile for papyrus, using "Install New Software" in Eclipse and using papyrus extensions (I am not able to post the link here)

But I get the following error:

Cannot complete the install because one or more required items could not be found.
Software being installed: UML profile for MARTE 1.2.2.200911231304 (com.cea.papyrus.marte.feature.group 1.2.2.200911231304)
Missing requirement: UML profile for MARTE 1.2.2.200911231304 (com.cea.papyrus.marte.feature.group 1.2.2.200911231304) requires 'com.cea.papyrus.feature.feature.group 1.11.0' but it could not be found

I am not sure what I am missing here. I have the following Eclipse version

Version: Luna Service Release 1 (4.4.1)
Build id: 20140925-1800


Any pointers would be helpful,

Best regards
Padma
Re: Problems while installing MARTE over Payrus [message #1479340 is a reply to message #1479323] Wed, 19 November 2014 10:57 Go to previous messageGo to next message
Remi Schnekenburger is currently offline Remi SchnekenburgerFriend
Messages: 168
Registered: July 2009
Location: Palaiseau, France
Senior Member
Hi Padma,

it seems you are trying to install an old version of the MARTE profile, the one coming from the previous open source project Papyrus UML (papyrusuml.org)

The support for MARTE profile is now included in the extra features of Eclipse Papyrus, that can be accessed from the discovery site of Eclipse Papyrus (see Help > Install Papyrus Additional Components)

Hope this helps,
Rémi


Remi Schnekenburger

Get professional Eclipse developer support:
http://eclipsesource.com/en/services/developer-support/
Re: Problems while installing MARTE over Payrus [message #1691703 is a reply to message #1479340] Thu, 09 April 2015 08:02 Go to previous messageGo to next message
Muhammad Kashif is currently offline Muhammad KashifFriend
Messages: 52
Registered: April 2015
Member
I am using papyrus and want to install MARTE libraries but i am unable to..

when I use install additional papyrus component in help section it says MARTE is unavailable, try again later..

can anyone help me please,,,
Thanks
Re: Problems while installing MARTE over Payrus [message #1691782 is a reply to message #1691703] Thu, 09 April 2015 15:26 Go to previous messageGo to next message
Remi Schnekenburger is currently offline Remi SchnekenburgerFriend
Messages: 168
Registered: July 2009
Location: Palaiseau, France
Senior Member
Hi Ali,

What version of Papyrus are you currently using ?

Regards,
Rémi


Remi Schnekenburger

Get professional Eclipse developer support:
http://eclipsesource.com/en/services/developer-support/
Re: Problems while installing MARTE over Payrus [message #1691858 is a reply to message #1691782] Fri, 10 April 2015 08:07 Go to previous message
Camille Letavernier is currently offline Camille LetavernierFriend
Messages: 932
Registered: February 2011
Senior Member
Hi Ali,

The "Install additional components" may fail on one of the following issues:

- It is already installed, because you installed "Papyrus Extra", which includes all additional components
- There is a missing dependency, e.g. you're trying to install Marte Luna SR2 (1.0.2) on top of Papyrus Luna SR1 (1.0.1)

In the first case, nothing to do; in the second case, you need to use "Check for updates" before installing Marte. The second case used to happen because Eclipse Modeling Luna SR2 were installing Papyrus Luna SR1 (Instead of Papyrus Luna SR2), causing these dependency issues

If none of these solutions work, you can use "Help > Install new software", and use the following update site for Papyrus Luna:

http://download.eclipse.org/modeling/mdt/papyrus/updates/releases/luna/extra

You may need to uncheck "Group items by category" in order to install only Marte Components (Instead of all extra components, which is usually too much)

HTH,
Camille


Camille Letavernier
Previous Topic:How to listen to models being loaded?
Next Topic:SysML Tutorial using Papyrus
Goto Forum:
  


Current Time: Mon Nov 30 17:09:18 GMT 2020

Powered by FUDForum. Page generated in 0.02220 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top